Summary: Basic directory searching utilities of the GNU operating system
Name: findutils
Version: 4.9.0
Release: 5%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/findutils/
Source0: https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz

Patch3000: findutils-4.4.2-xautofs.patch

BuildRequires: automake gcc make
BuildRequires: dejagnu git texinfo
BuildRequires: gettext-devel libselinux-devel

Provides: /bin/find
Provides: bundled(gnulib)
Conflicts: filesystem < 3

%description
The findutils package contains utilities which help you find
files on your system. The find program searches a directory 
tree to find a file or group of files. It traverses the directory 
tree and reports all occurrences of a file matching the user
specifications. The xargs program builds and executes command lines 
by gathering together arguments it reads on the standard input. 
Most often, these arguments are lists of file names generated by find.


%prep
%autosetup -S git


%build
# disable -flto on ppc64le
%ifarch ppc64le
export CFLAGS="$RPM_OPT_FLAGS -fno-lto"
%endif

mkdir build
cd build
%global _configure ../configure
%configure

%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_bindir}/locate
rm -f %{buildroot}%{_bindir}/updatedb
rm -f %{buildroot}%{_libexecdir}/frcode
rm -f %{buildroot}%{_mandir}/man1/locate*
rm -f %{buildroot}%{_mandir}/man1/updatedb* 
rm -f %{buildroot}%{_mandir}/man5/locate* 

%check
%make_build check -C build

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README THANKS TODO
%{_bindir}/find
%{_bindir}/xargs
%{_infodir}/find.info*
%{_infodir}/find-maint.info.*
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 Yi Lin <nilusyi@tencent.com> - 4.9.0-1
- package init.
